%define lib_api         0
%define lib_major       0
%define lib_name        %mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel  %mklibname %{name} -d

Name:           lilv
Version:        0.24.26
Release:        %mkrel 3
Summary:        LV2 plugin library for applications and hosts
License:        ISC License (ISC)
Group:          System/Libraries
URL:            https://drobilla.net/software/lilv
Source0:        https://download.drobilla.net/%{name}-%{version}.tar.xz

BuildRequires:  doxygen
BuildRequires:  meson
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinxygen
BuildRequires:  python3-sphinx-lv2-theme
BuildRequires:  pkgconfig(sord-0) >= 0.16.16
BuildRequires:  pkgconfig(lv2) >= 1.18.0
BuildRequires:  pkgconfig(sratom-0) >= 0.6.16
BuildRequires:  pkgconfig(serd-0) >= 0.32.0
BuildRequires:  pkgconfig(sndfile) >= 1.2.2

Obsoletes:      slv2 < 0.6.6-17

%description
LV2 plugin library for applications and hosts.


%package -n %{lib_name}
Summary:        LV2 plugin library for applications and hosts
Group:          System/Libraries
Obsoletes:      %{_lib}lilv0 < 0.24.20

%description -n %{lib_name}
Lilv is a library to make the use of LV2 plugins as simple as possible
for applications. Lilv is the successor to SLV2, rewritten to be
significantly faster and have minimal dependencies.


%package -n %{lib_name_devel}
Summary:        Headers for the lilv LV2 library
Group:          System/Libraries
Requires:       %{lib_name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against lilv.


%package -n python3-%{name}
Summary:        Python 3 bindings for %{name}
Group:          Development/Python
Requires:       %{name}%{_isa} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
%{name} is a lightweight C library for Resource Description Syntax which
supports reading and writing Turtle and NTriples.

This package contains the python3 libraries for %{name}.


%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files -n %{name}
%doc README.md
%license COPYING
%{_bindir}/lv2info
%{_bindir}/lv2ls
%{_bindir}/lv2bench
%{_bindir}/lv2apply
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/bash_completion.d/lilv
%{_mandir}/man1/lv2apply.1*
%{_mandir}/man1/lv2bench.1*
%{_mandir}/man1/lv2info.1*
%{_mandir}/man1/lv2ls.1*
%{_docdir}/%{name}-%{lib_api}/

%files -n %{lib_name}
%license COPYING
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}{,.*}

%files -n %{lib_name_devel}
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_includedir}/%{name}-%{lib_api}/%{name}/*.hpp
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc

%files -n python3-%{name}
%{python3_sitelib}/%{name}.*
%{python3_sitelib}/__pycache__/*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.24.26-3.mga10
+ Revision: 2243381
- Mageia 10 Mass Rebuild

* Fri Mar 07 2025 daviddavid <daviddavid> 0.24.26-2.mga10
+ Revision: 2161667
- rebuild for python 3.13

* Tue Jan 21 2025 daviddavid <daviddavid> 0.24.26-1.mga10
+ Revision: 2140279
- new version: 0.24.26

* Sun Jan 28 2024 philippedidier <philippedidier> 0.24.24-1.mga10
+ Revision: 2035560
- new version 0.24.24

* Fri May 05 2023 daviddavid <daviddavid> 0.24.20-2.mga9
+ Revision: 1955890
- own include dir

* Tue Dec 13 2022 philippedidier <philippedidier> 0.24.20-1.mga9
+ Revision: 1921716
- new version 0.24.20
- built with meson instead of waf

* Fri Apr 01 2022 umeabot <umeabot> 0.24.12-4.mga9
+ Revision: 1839062
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 0.24.12-3.mga9
+ Revision: 1787089
- rebuild for python-3.10

* Sat Mar 27 2021 daviddavid <daviddavid> 0.24.12-2.mga9
+ Revision: 1711007
- rebuild for python 3.9

* Wed Mar 03 2021 daviddavid <daviddavid> 0.24.12-1.mga9
+ Revision: 1697160
- new version: 0.24.12

* Wed Oct 14 2020 luigiwalser <luigiwalser> 0.24.10-1.mga8
+ Revision: 1636058
- 0.24.10
- remove upstreamed patch

* Wed Jul 01 2020 daviddavid <daviddavid> 0.24.8-1.mga8
+ Revision: 1600998
- new version: 0.24.8
- compile with system waf (from archlinux)
- do not mark manpages as doc

* Sun May 24 2020 wally <wally> 0.24.6-2.mga8
+ Revision: 1587181
- build with python3
- enable debug pkgs
- export LINKFLAGS for build

* Mon May 11 2020 tv <tv> 0.24.6-1.mga8
+ Revision: 1583196
- Update to 0.24.6
- Add python3 bindings

* Fri Feb 14 2020 umeabot <umeabot> 0.24.4-2.mga8
+ Revision: 1521646
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sat Dec 29 2018 luigiwalser <luigiwalser> 0.24.4-1.mga7
+ Revision: 1345911
- 0.24.4

* Sun Sep 23 2018 umeabot <umeabot> 0.24.2-5.mga7
+ Revision: 1299305
- Mageia 7 Mass Rebuild

* Tue Feb 20 2018 kekepower <kekepower> 0.24.2-4.mga7
+ Revision: 1203773
- This package can only obsolete another, single package

* Tue Feb 20 2018 kekepower <kekepower> 0.24.2-3.mga7
+ Revision: 1203502
- Really Obsolete slv2

* Mon Feb 19 2018 kekepower <kekepower> 0.24.2-2.mga7
+ Revision: 1202929
- Obsolete discontinued slv2 as lilv is the successor

* Tue Jan 10 2017 luigiwalser <luigiwalser> 0.24.2-1.mga6
+ Revision: 1080858
- 0.24.2

* Sun Jan 01 2017 luigiwalser <luigiwalser> 0.24.0-1.mga6
+ Revision: 1079445
- 0.24.0

* Mon Feb 15 2016 umeabot <umeabot> 0.22.0-2.mga6
+ Revision: 961267
- Mageia 6 Mass Rebuild

* Sat Oct 24 2015 barjac <barjac> 0.22.0-1.mga6
+ Revision: 894950
- new version 0.22.0

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-3.mga5
+ Revision: 750308
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-2.mga5
+ Revision: 681940
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 barjac <barjac> 0.20.0-1.mga5
+ Revision: 669735
- new version 0.20.0

* Thu May 08 2014 barjac <barjac> 0.18.0-1.mga5
+ Revision: 621161
- new version lilv-0.18.0
- removed patch0 applied upstream

* Sat Oct 19 2013 umeabot <umeabot> 0.16.0-5.mga4
+ Revision: 535981
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 0.16.0-4.mga4
+ Revision: 482891
- add upstream patch to define UI for downstream apps

* Sun Aug 25 2013 barjac <barjac> 0.16.0-3.mga4
+ Revision: 471455
- rebuild for lv2-1.6.0

* Sat Jul 13 2013 wally <wally> 0.16.0-2.mga4
+ Revision: 453862
- fix lib pkg name
- use our build time flags
- drop unneeded requires from devel pkg

* Fri Jun 21 2013 philippedidier <philippedidier> 0.16.0-1.mga4
+ Revision: 445317
- new version 0.16.0

* Sat Jan 12 2013 umeabot <umeabot> 0.14.4-2.mga3
+ Revision: 358790
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 barjac <barjac> 0.14.4-1.mga3
+ Revision: 321488
- new version
- minor spec clean
- thanks to Philippe Didier

* Wed Sep 07 2011 tv <tv> 0.4.4-1.mga2
+ Revision: 139990
- imported package lilv


* Sat Jun 25 2011 Frank Kober <emuse@mandriva.org> 0.4.4-1mdv2011.0
+ Revision: 687118
- imported package lilv

